summaryrefslogtreecommitdiff
path: root/run_tests.sh
diff options
context:
space:
mode:
authorStephen Finucane <stephenfin@redhat.com>2022-02-17 11:21:40 +0000
committerTim Burke <tim.burke@gmail.com>2022-03-16 15:06:19 -0700
commit2636965f38a7788bbee19fc90088384834670b10 (patch)
treeba693b60748bdcea934e6a8434b158bc7fadeb91 /run_tests.sh
parent22a05b2039d0178b52fa3546de8ab265df112636 (diff)
downloadpython-swiftclient-2636965f38a7788bbee19fc90088384834670b10.tar.gz
Drop support for Python 2
There's a lot of cleanup possible, but this is a start. Signed-off-by: Stephen Finucane <stephenfin@redhat.com> Change-Id: Ia1176b7fd5434d52070d482a37abfbb98800cdb3
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 6991cd1..d1fc50a 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -9,7 +9,7 @@ function usage {
echo ""
echo "This script is deprecated and currently retained for compatibility."
echo 'You can run the full test suite for multiple environments by running "tox".'
- echo 'You can run tests for only python 2.7 by running "tox -e py27", or run only'
+ echo 'You can run tests for only python 3.9 by running "tox -e py39", or run only'
echo 'the pep8 tests with "tox -e pep8".'
exit
}
@@ -39,7 +39,7 @@ if [ $just_pep8 -eq 1 ]; then
exit
fi
-tox -e py27 $toxargs 2>&1 | tee run_tests.err.log || exit
+tox -e py39 $toxargs 2>&1 | tee run_tests.err.log || exit
if [ ${PIPESTATUS[0]} -ne 0 ]; then
exit ${PIPESTATUS[0]}
fi